<?xml version="1.0" encoding="utf-8"?>
<androidx.coordinatorlayout.widget.CoordinatorLayout xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:app="http://schemas.android.com/apk/res-auto"
    xmlns:tools="http://schemas.android.com/tools"
    android:layout_width="match_parent"
    android:layout_height="match_parent"
    tools:context=".ui.activity.LoginActivity">

    <LinearLayout
        android:layout_width="match_parent"
        android:layout_height="wrap_content"
        android:layout_gravity="center"
        android:layout_margin="16dp"
        android:orientation="vertical">

        <ImageView
            android:id="@+id/imageView"
            android:layout_width="match_parent"
            android:layout_height="wrap_content"
            app:srcCompat="@drawable/ic_logo"
            tools:srcCompat="@drawable/ic_logo" />

        <TextView
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:layout_gravity="center"
            android:layout_marginBottom="32dp"
            android:text="@string/activity_login_header"
            android:textColor="?colorPrimary"
            android:textSize="16sp"
            android:textStyle="bold"
            android:textAllCaps="true"/>

        <TextView
            android:id="@+id/textView"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:layout_gravity="center"
            android:layout_marginBottom="32dp"
            android:text="@string/activity_login_header2"
            android:textAllCaps="true"
            android:textColor="?colorPrimary"
            android:textSize="16sp"
            android:textStyle="bold" />

        <com.google.android.material.button.MaterialButton
            android:id="@+id/activity_login_scan_qr"
            android:layout_width="match_parent"
            android:layout_height="wrap_content"
            android:text="@string/activity_login_qrcode" />

        <TextView
            android:id="@+id/textView2"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:layout_gravity="center"
            android:layout_marginBottom="32dp"
            android:paddingTop="10pt"
            android:text="@string/activity_login_alt_login_method"
            android:textAllCaps="true"
            android:textColor="?colorPrimary"
            android:textSize="16sp"
            android:textStyle="bold" />

        <com.google.android.material.textfield.TextInputLayout
            android:layout_width="match_parent"
            android:layout_height="wrap_content">

            <com.google.android.material.textfield.TextInputEditText
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:id="@+id/activity_login_username"
                android:hint="@string/activity_login_username_hint"
                android:imeOptions="actionNext"
                android:inputType="text"/>

        </com.google.android.material.textfield.TextInputLayout>

        <com.google.android.material.textfield.TextInputLayout
            android:layout_width="match_parent"
            android:layout_height="wrap_content"
            android:layout_marginTop="16dp">

            <com.google.android.material.textfield.TextInputEditText
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:id="@+id/activity_login_password"
                android:hint="@string/activity_login_password_hint"
                android:imeOptions="actionSend"
                android:inputType="text"/>

        </com.google.android.material.textfield.TextInputLayout>

        <com.google.android.material.button.MaterialButton
            android:layout_width="match_parent"
            android:layout_height="wrap_content"
            android:layout_marginTop="16dp"
            android:id="@+id/activity_login_submit"
            android:text="@string/activity_login_submit"/>

    </LinearLayout>

</androidx.coordinatorlayout.widget.CoordinatorLayout>